Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deApi.hpp File Reference

DestinyEdit API. More...

`#include "deGlobalTypes.hpp"`
`#include "deFileSystem.hpp"`
`#include "deArray.hpp"`
`#include "deString.hpp"`
`#include "deList.hpp"`
`#include "deRender.hpp"`
`#include "deCamera.hpp"`
`#include "deScene.hpp"`
`#include "deDriver.hpp"`
`#include "de2D.hpp"`
`#include "deBitmap.hpp"`
`#include "deBrush.hpp"`

Include dependency graph for deApi.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds
class | deApiFn_Attribute
class | deApiFn_Camera
class | deApiFn_NodeTree
class | deApiFn_OutputWindow
class | deApiFn_Render
class | deApiFn_Viewport
class | deApiFn_ViewportLayout
class | deApiHandle
class | deApiType
class | deApiTypes
## Defines
#define | USING_DESTINY3D
#define | DESTINY3D_STATIC_LINK
#define | DEAPI_VERSION 50
#define | DEAPI DEDLL_IMPORT
#define | DECLARE_RTI
#define | DEFINE_RTI(name, parent) deApiType name::Type(#name, &parent::Type);
#define | DECLARE_RTI_BASE(name) deApiType name::Type(#name, NULL);
#define | DEAPI_FAILED(status) (status < 0)
#define | DEAPI_SUCCEEDED(status) (status >= 0)
#define | DEAPI_PASSED(status) (status >= 0)
## Functions
DEDLL_IMPORT bool | deApi_InitStandAlone (HWND hParentWindow)

## Detailed Description

DestinyEdit API.

Author:
  jwvanderbeck

This file is the intellectual property of Novus Delta, LLC.. Usage of the contents of this file is subject to the Destiny3D Member License which can be found at http://www.destiny3d.com. Any other usage is prohibited.

This file is distributed "AS IS" without warranty of any kind. Novus Delta, LLC. does not guarantee the fitness of the contents of this file for any particular purpose.

Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.

Change History

Date:
  Mar 2003

Author:
  jwvanderbeck

Remarks:
  Creation

## Define Documentation

#define DEAPI DEDLL_IMPORT

#define DEAPI_FAILED | ( | status |  | ) | (status < 0)

#define DEAPI_PASSED | ( | status |  | ) | (status >= 0)

#define DEAPI_SUCCEEDED | ( | status |  | ) | (status >= 0)

#define DEAPI_VERSION 50

#define DECLARE_RTI

| Value:
    public:\
            static deApiType Type;

#define DECLARE_RTI_BASE | ( | name |  | ) | deApiType name::Type(#name, NULL);

#define DEFINE_RTI | ( | name,
|  | parent |  | ) | deApiType name::Type(#name, &parent::Type);

#define DESTINY3D_STATIC_LINK

#define USING_DESTINY3D

## Function Documentation

DEDLL_IMPORT bool deApi_InitStandAlone | ( | HWND | hParentWindow | ) |